gnutls_privkey_generate(3)

NAME
gnutls_privkey_generate - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_generate(gnutls_privkey_t pkey, gnutls_pk_algorithm_t algo, unsigned int bits, unsigned int flags);

ARGUMENTS

gnutls_privkey_t pkey
    The private key

gnutls_pk_algorithm_t algo
    is one of the algorithms in gnutls_pk_algorithm_t.

unsigned int bits
    the size of the modulus

unsigned int flags
    unused for now. Must be 0.

DESCRIPTION
This function will generate a random private key. Note that this function must be called on an empty private key.

Note that when generating an elliptic curve key, the curve can be substituted in the place of the bits parameter using the GNUTLS_CURVE_TO_BITS() macro.

Do not set the number of bits directly, use gnutls_sec_param_to_pk_bits().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/